﻿//-----------------------------------------------------------------------
// <copyright file="TilengineMapping.cs" company="Mad Wonder LLC">
//     Copyright (c) Mad Wonder LLC. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using UnityEngine;

namespace MadWonder.Tutorial02 {
    public static class TilengineMapping
    {
        [DllImport("Tilengine")]
        public static extern IntPtr TLN_Init(int hres, int vres, int numlayers, int numsprites, int numanimations);

        [DllImport("Tilengine")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool TLN_SetContext(IntPtr context);

        [DllImport("Tilengine")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool TLN_DeleteContext(IntPtr context);

        [DllImport("Tilengine")]
        public static extern void TLN_Deinit();

        [DllImport("Tilengine")]
        public static extern void TLN_SetBGColor(byte r, byte g, byte b);

        [DllImport("Tilengine")]
        public static extern void TLN_SetRenderTarget(byte[] data, int pitch);

        [DllImport("Tilengine")]
        public static extern void TLN_UpdateFrame(int time);

        [DllImport("Tilengine")]
        public static extern void TLN_SetLoadPath(string path);
    }
}
